Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 158370 - package exclusion on mulitlib platform only removes primary arch package
Summary: package exclusion on mulitlib platform only removes primary arch package
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: anaconda
Version: 3.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: James Antill
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-20 23:58 UTC by David Lehman
Modified: 2012-06-20 16:02 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-06-20 16:02:33 UTC
Target Upstream Version:


Attachments (Terms of Use)
exclude all arches of excluded packages plus a little cleanup of existing code (deleted)
2005-05-20 23:58 UTC, David Lehman
no flags Details | Diff

Description David Lehman 2005-05-20 23:58:41 UTC
Description of problem:
When specifying packages by name to be excluded in %packages (eg: '-mozilla')
anaconda only excludes the primary arch package. For example, if you specify the
following lines on x86_64:
-mozilla
-mozilla-nss
-mozilla-nspr
you will end up with i386 mozilla packages, but not x86_64.

Version-Release number of selected component (if applicable):
anaconda-9.1.5.8-1.RHEL

How reproducible:
Always

Steps to Reproduce:
1. select @Everything on an x86_64, then manually deselect mozilla-* (as above)
2. run the install and reboot
3. check for mozilla packages on the system
  
Actual results:
Primary arch mozilla packages were successfully excluded, but compat arch pkgs
are still there

Expected results:
No mozilla packages whatsoever should be on the system

Additional info:
I realize this is almost debatable semantically, but not quite IMHO; If someone
says "I want mozilla" on a multilib system that doesn't imply they want it in
all available arches. OTOH if they say "I don't want mozilla" on the same system
they surely mean just that, which means no mozilla packages of any arch.

Comment 1 David Lehman 2005-05-20 23:58:42 UTC
Created attachment 114655 [details]
exclude all arches of excluded packages plus a little cleanup of existing code

Comment 2 Jeremy Katz 2005-05-23 15:32:00 UTC
Fixed on HEAD.

Comment 12 Jiri Pallich 2012-06-20 16:02:33 UTC
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.


Note You need to log in before you can comment on or make changes to this bug.